import _extends from "@babel/runtime/helpers/extends";
import _defineProperty from "@babel/runtime/helpers/defineProperty";

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};
/** @format */


import React from 'react';
import Base from 'react-icon-base';
import classnames from 'classnames';

var IconBase = function IconBase(props) {
  var className = props.className,
      style = props.style,
      other = __rest(props, ["className", "style"]);

  var classNames = classnames(_defineProperty({
    anticon: true
  }, className || '', className || ''));
  return /*#__PURE__*/React.createElement("span", {
    role: "img",
    className: classNames
  }, /*#__PURE__*/React.createElement(Base, _extends({}, other, {
    style: _extends({
      verticalAlign: 'baseline'
    }, style)
  })));
};

export default IconBase;